package com.cpms.project.plant.domain;

import java.util.Date;

import com.cpms.common.annotation.Excel;
import com.cpms.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 装置会议议程对象 t_mt_agenda
 *
 * @author ruoyi
 * @date 2023-06-07
 */
public class TMtAgenda extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 会议id
     */
    @Excel(name = "会议id")
    private String meetingId;

    /**
     * 议程类型
     */
    @Excel(name = "议程类型")
    private String agendaType;

    /**
     * 议程内容
     */
    @Excel(name = "议程内容")
    private String agendaContent;

    /**
     * 工作类型
     */
    @Excel(name = "工作类型")
    private String workType;

    /**
     * 计划类型
     */
    @Excel(name = "计划类型")
    private String planType;

    /**
     * 责任人
     */
    @Excel(name = "跟踪人")
    private String responsible;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "回顾/截止时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deadlineTime;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String status;

    /**
     * 删除
     */
    private Integer delFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updaterCode;

    /**
     * 更新日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 所属部门
     */
    @Excel(name = "所属部门")
    private Long deptId;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 记录人
     */
    @Excel(name = "记录人")
    private String presided;

    private Long isHis;

    private Long flag;


    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date meetingDate;

    private String meetingNo;
    private String subject;

    public Date getMeetingDate() {
        return meetingDate;
    }

    public void setMeetingDate(Date meetingDate) {
        this.meetingDate = meetingDate;
    }

    public String getMeetingNo() {
        return meetingNo;
    }

    public void setMeetingNo(String meetingNo) {
        this.meetingNo = meetingNo;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Long getFlag() {
        return flag;
    }

    public void setFlag(Long flag) {
        this.flag = flag;
    }

    public Date getDeadlineTime() {
        return deadlineTime;
    }

    public void setDeadlineTime(Date deadlineTime) {
        this.deadlineTime = deadlineTime;
    }

    public Long getIsHis() {
        return isHis;
    }

    public void setIsHis(Long isHis) {
        this.isHis = isHis;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMeetingId(String meetingId) {
        this.meetingId = meetingId;
    }

    public String getMeetingId() {
        return meetingId;
    }

    public void setAgendaType(String agendaType) {
        this.agendaType = agendaType;
    }

    public String getAgendaType() {
        return agendaType;
    }

    public void setAgendaContent(String agendaContent) {
        this.agendaContent = agendaContent;
    }

    public String getAgendaContent() {
        return agendaContent;
    }

    public void setWorkType(String workType) {
        this.workType = workType;
    }

    public String getWorkType() {
        return workType;
    }

    public void setPlanType(String planType) {
        this.planType = planType;
    }

    public String getPlanType() {
        return planType;
    }

    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

    public String getResponsible() {
        return responsible;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setPresided(String presided) {
        this.presided = presided;
    }

    public String getPresided() {
        return presided;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("meetingId", getMeetingId())
                .append("agendaType", getAgendaType())
                .append("agendaContent", getAgendaContent())
                .append("workType", getWorkType())
                .append("planType", getPlanType())
                .append("responsible", getResponsible())
                .append("status", getStatus())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("deptId", getDeptId())
                .append("remarks", getRemarks())
                .append("presided", getPresided())
                .toString();
    }
}
